package com.shining.cloud.pojo.RealTimeInfo;

/**
 * @description: 监测点基础信息列表
 * @author: denghuajun
 * @time: 2019-12-16 10:11:07
 **/

public class LineBaseInfo {
    private int lineIndex;//监测点guid
    private String lineName;//监测点名称
    private String devType;//终端型号
    private String ip;//网络参数
    private String gdName;//供电公司名称
    private String subName;//变电站名称
    private int state;//通讯状态
    private float flow;//通讯流量
    private float flowRatio;//流量占比
    private int pttype;//接线方式

    public int getLineIndex() {
        return lineIndex;
    }

    public void setLineIndex(int lineIndex) {
        this.lineIndex = lineIndex;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getDevType() {
        return devType;
    }

    public void setDevType(String devType) {
        this.devType = devType;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public float getFlow() {
        return flow;
    }

    public void setFlow(float flow) {
        this.flow = flow;
    }

    public float getFlowRatio() {
        return flowRatio;
    }

    public void setFlowRatio(float flowRatio) {
        this.flowRatio = flowRatio;
    }

	public int getPttype() {
		return pttype;
	}

	public void setPttype(int pttype) {
		this.pttype = pttype;
	}
}